# JaxerManager Command Line Interface (CLI) Reference [edit]

JaxerManager listens on a different port than the one used for web requests and interprets commands sent that way. These commands can also usually be specified on the command line when it's started, or in a config file loaded when JaxerManager starts (or restarts/reloads).

Defaults
webport
  5370
commandport
  5371
Default (optional) config file
  JaxerManager.cfg (Windows) or jaxermanager.cfg (Linux/Mac) in the same folder as the executable.

Commands
set timeout <n>
  Set the timeout of Jaxer Manager that will die if a ping is not received within <n> seconds.
set minprocesses <n>
  From this point on, there will be no less than <n> Jaxer processes. If set to higher than maxprocesses, then maxprocesses is set to the same value.
set maxprocesses <n>
  JaxerManager will not start more Jaxer processes if there are already <n> or more of them around. If set to lower than the current minprocesses, then minprocesses is set to the same value.
set requesttimeout <n>
  A Jaxer that takes more than <n> seconds to process a request is terminated (default 10).
set maxmemory <n>
  A hard limit of <n> megabytes is imposed on all Jaxer processes. A value of zero means no limit (default 100).
set maxrequests <n>
  A Jaxer is terminated after it performs <n> requests. A value of zero is equivalent to infinity (default 0).
exit
  immediate, non-graceful termination of all Jaxers and then of JaxerManager
stop
  graceful termination of all Jaxers once they've finished processing, then when they're all dead stop JaxerManager too.
pause
  suspend processing of requests
resume
  resume processing of requests
ping
  test aliveness. Returns pong paused|running|stopping|reloading
reload <file>
  graceful termination of all Jaxers, followed by loading a named config file (optional, otherwise configuration is unchanged) and restart all Jaxer processes
restart <file>
  immediate, non-graceful termination of all Jaxers, followed by loading a named config file (optional, eotherwise configuration is unchanged) and restart all Jaxer processes
get version
  returns version number
setconfig <configname>.<property> <value>
  Sets configname.property from config.js to the value specified

- Example is DB_CONNECTION_PARAMS.PATH "resource:///../data/appdata.sqlite"
- The manager will reply with a header block when a telnet connection is established
- The header block will end with an empty line
- The manager will print a single line of text when a command is ran
- The manager process will print "JaxerManager" to standard out to signify it is ready to accept admin connections

In addition, there are a few commands that are effective only in the configuration file that is read when JaxerManager starts up:

set webport <n>
  set the port used by web servers (default 5370).
set commandport <n>
  set the port for the command line interface (default 5371).

There is no command to close the connection; just close the connection. It would be best if this understood some sort of convention, like Ctrl+C.

The following arguments may be specified when starting JaxerManager:

--commandport=<port>
  see "set commandport" above.
--webport=<port>
  see "set webport" above.
--minprocesses=<num processes>
  see "set minprocesses" above.
--maxprocesses=<num processes>
  see "set maxprocesses" above.
--configfile=<config file>
  set the configuration file to initially load (default JaxerManager.cfg).
--timeout=<num seconds>
  see "set timeout" above.
--requesttimeout=<num seconds>
  see "set requesttimeout" above.
--maxmemory=<num MB>
  see "set maxmemory" above.
--maxrequests=<num requests>
  see "set maxrequests" above.
--pid-file=<file>
  write the process id of the manager to the specified file.
--cfg:<name>=<value>
  set configuration parameter name to value.

The following arguments may be specified only when starting JaxerManager:

--jaxerlogfileuri=<fileuri>
  set the logfile for Jaxer. eg file:///c:/temp/jaxer.log.
--jaxerlogfilesize=<num bytes>
  specify the maximum size of the logfile. When the logfile size exceeds this limit, the logfile will be moved to a backup when JaxerManager starts.
--jaxerlogfilebackups=<num>
  set the number of logfile backups to keep.
--tempdir=<fileuri>
  set the temp folder for Jaxer.

- Jaxer manager will print the status of each command specified after it is executed
- Format:

    Option: --commandport=5375
    *** ok

## Related Topics

- About the Jaxer server
- Getting Started with Jaxer in Aptana Studio
- Creating a new Jaxer project
- Previewing a Jaxer project
- About Jaxer Views
  - Displaying the Servers View
  - Displaying the TailView View
  - Displaying the Jaxer Activity Monitor View
  - Displaying the Jaxer Shell View
- Configuring your Jaxer servers
- Setting your TailView preferences
- Running the Jaxer server diagnostic tools

Retrieved from "http://aptana.com/docs/index.php/JaxerManager_Command_Line_Interface_(CLI)_Reference"

Category: AptanaHelp